Bug 1566725 (CVE-2018-9303) - CVE-2018-9303 exiv2: assertion failure in BigTiffImage::readData in bigtiffimage.cpp
Summary: CVE-2018-9303 exiv2: assertion failure in BigTiffImage::readData in bigtiffim...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-9303
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1566726 1566727 1566738
Blocks: 1566728
TreeView+ depends on / blocked
 
Reported: 2018-04-12 21:19 UTC by Laura Pardo
Modified: 2021-02-17 00:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-18 11:47:05 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1577 0 None None None 2020-04-28 15:27:03 UTC

Description Laura Pardo 2018-04-12 21:19:13 UTC
A flaw was found in Exiv2 0.26, an assertion failure in BigTiffImage::readData in bigtiffimage.cpp results in an abort.


References:
https://github.com/xiaoqx/pocs/blob/master/exiv2/readme.md

Comment 1 Laura Pardo 2018-04-12 21:20:17 UTC
Created exiv2 tracking bugs for this issue:

Affects: fedora-all [bug 1566727]

Comment 4 Riccardo Schirone 2018-04-18 11:46:47 UTC
Statement:

This issue did not affect the versions of Exiv2 as shipped with Red Hat Enterprise Linux 6 and 7 as they did not include support for BigTIFF images.

Comment 6 errata-xmlrpc 2020-04-28 15:27:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1577 https://access.redhat.com/errata/RHSA-2020:1577


Note You need to log in before you can comment on or make changes to this bug.